//
//  MessageCell.m
//  crowdfunding_SJ
//
//  Created by T_Yang on 16/9/9.
//  Copyright © 2016年 杨 天. All rights reserved.
//

#import "MessageCell.h"
#import "Masonry.h"
#import "DEFINE.h"

@interface MessageCell ()
@property (nonatomic, weak) UIView  *redView;
@end

@implementation MessageCell

- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier {
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        self.selectionStyle = UITableViewCellSelectionStyleNone;
        self.contentView.backgroundColor = kColor(241, 245, 248);
        
        //背景白色view
        UIView *backView = [[UIView alloc] init];
        [self.contentView addSubview:backView];
        [backView mas_makeConstraints:^(MASConstraintMaker *make) {
            make.edges.equalTo(self.contentView).with.insets(UIEdgeInsetsMake(10, 0, 0, 0));
        }];
        backView.backgroundColor = [UIColor whiteColor];
        
        UIImageView *iconImageView = [[UIImageView alloc] init];
        [backView addSubview:iconImageView];
        self.iconImageView = iconImageView;
        [iconImageView mas_makeConstraints:^(MASConstraintMaker *make) {
            make.centerY.equalTo(backView);
            make.left.equalTo(backView).offset(22);
            make.size.mas_equalTo(CGSizeMake(21, 24));
        }];
        iconImageView.contentMode = UIViewContentModeRight;
        
        UILabel *titleLabel = [[UILabel alloc] init];
        [backView addSubview:titleLabel];
        self.titleLabel = titleLabel;
        [titleLabel mas_makeConstraints:^(MASConstraintMaker *make) {
            make.left.equalTo(iconImageView.mas_right).offset(15);
            make.centerY.equalTo(backView);
        }];
        titleLabel.font = kFont(12);
        titleLabel.textColor = kColor(48, 48, 48);
        
        UIView *redView = [[UIView alloc] init];
        [backView addSubview:redView];
        [redView mas_makeConstraints:^(MASConstraintMaker *make) {
            make.size.mas_equalTo(CGSizeMake(4, 4));
            make.left.equalTo(titleLabel.mas_right).offset(1);
            make.bottom.equalTo(titleLabel.mas_top);
        }];
        redView.backgroundColor = kColor(227, 47, 47);
        redView.layer.cornerRadius = 2.0f;
        redView.layer.masksToBounds = YES;
        
        UIImageView *arrowImageView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"mine_next"]];
        [backView addSubview:arrowImageView];
        [arrowImageView mas_makeConstraints:^(MASConstraintMaker *make) {
            make.right.equalTo(self.contentView).offset(-20);
            make.centerY.equalTo(self.contentView);
            make.size.mas_equalTo(CGSizeMake(6, 11));
        }];
    }
    return self;
}

- (void)setHavaNews:(BOOL)havaNews {
    _havaNews = havaNews;
    
    self.redView.hidden = havaNews;
}

+ (CGFloat)cellHeight {
    return 60;
}

@end
