//
//  MessageViewController.m
//  crowdfunding_SJ
//
//  Created by T_Yang on 16/9/9.
//  Copyright © 2016年 杨 天. All rights reserved.
//

#import "MessageViewController.h"
#import "MessageCell.h"
#import "TopNewView.h"

@interface MessageViewController ()
@property (nonatomic, weak) UITableView *tableView;

@property (nonatomic, strong) NSDictionary<NSString *, NSArray *> *dataDic;
@end

static NSString *messageCellIdentifier = @"MessageCell";

@implementation MessageViewController

- (NSDictionary<NSString *, NSArray *> *)dataDic {
    if (!_dataDic) {
        _dataDic = @{@"title" : @[@"系统消息", @"评论", @"点赞"],
                     @"image" : @[@"mine_message_system", @"mine_message_comment", @"mine_message_like"]};
    }
    return _dataDic;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self addTableView];
    
    [TopNewView showInView:self.tableView content:@"您有5条新消息"];
}

- (void)addTableView {
    UITableView *tableView = [[UITableView alloc] initWithFrame:CGRectMake(0, 64, kWidth, kHeight - 64)];
    [self.view addSubview:tableView];
    self.tableView = tableView;
    tableView.delegate = self;
    tableView.dataSource = self;
    tableView.backgroundColor = kColor(241, 245, 248);
    tableView.separatorStyle = UITableViewCellSeparatorStyleNone;
    tableView.showsHorizontalScrollIndicator = NO;
    tableView.showsVerticalScrollIndicator = NO;
    [tableView reloadData];
    [tableView registerClass:[MessageCell class] forCellReuseIdentifier:messageCellIdentifier];
}

#pragma mark - UITableViewDelegate
- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath {
    return [MessageCell cellHeight];
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return self.dataDic[@"title"].count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    MessageCell *cell = [tableView dequeueReusableCellWithIdentifier:messageCellIdentifier forIndexPath:indexPath];
    cell.iconImageView.image = [UIImage imageNamed:self.dataDic[@"image"][indexPath.row]];
    cell.titleLabel.text = self.dataDic[@"title"][indexPath.row];
    return cell;
}

@end
