//
//  RootViewController.m
//  SJ
//
//  Created by T_Yang on 15/11/3.
//  Copyright © 2015年 杨 天. All rights reserved.
//

#import "RootViewController.h"
#import "Masonry.h"
#import "DEFINE.h"

@interface RootViewController ()

@end

@implementation RootViewController

- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    [self.view bringSubviewToFront:self.navigationView];
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.view.backgroundColor = kColor(214, 245, 248);
    
    //隐藏系统的导航条
    self.navigationController.navigationBar.hidden = YES;
    
    //消除导航控制器对scrollView影响
    self.automaticallyAdjustsScrollViewInsets = NO;
    
    //创建导航栏
    [self createNavigationBar];
    
    //创建两侧按钮
    [self createButton];
    
    //创建中央label,考虑到内容会多 最好用Masonry适配
    [self createTitleLabel];
}

- (void)createNavigationBar {
    UIView *navigationView = [[UIView alloc] init];
    [self.view addSubview:navigationView];
    self.navigationView = navigationView;
    navigationView.layer.shadowColor = kColor(223, 231, 237).CGColor;
    navigationView.layer.shadowRadius = 2.0f;
    navigationView.layer.shadowOffset = CGSizeMake(0, 0);
    navigationView.layer.shadowOpacity = 1.0f;
    
    //对自定义的导航条适配
    [navigationView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.view);
        make.left.right.equalTo(self.view);
        make.height.mas_equalTo(@64);
    }];
    navigationView.backgroundColor = [UIColor whiteColor];
}

- (void)createTitleLabel {
    UILabel *titleLabel = [[UILabel alloc] init];
    [self.navigationView addSubview:titleLabel];
    self.titleLabel = titleLabel;
    
    //对label适配
    [titleLabel mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerX.equalTo(self.navigationView);
        make.centerY.equalTo(self.navigationView).with.offset(10);
        make.height.equalTo(@30);
        make.left.equalTo(self.navigationView).with.offset(40);
        make.right.equalTo(self.navigationView).with.offset(-40);
    }];
    titleLabel.font = kFont(16);
    titleLabel.textColor = kColor(51, 51, 51);
    titleLabel.textAlignment = NSTextAlignmentCenter;
}

//按钮长宽
#define kNavigationBtnWidthAndHeight 44

- (void)createButton {
    //创建左侧按钮
    UIButton *leftBtn = [UIButton buttonWithType:UIButtonTypeCustom];
    [self.navigationView addSubview:leftBtn];
    [leftBtn mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.equalTo(self.navigationView).with.offset(5);
        make.bottom.equalTo(self.navigationView);//.with.height.offset(20);
        make.width.equalTo(@(kNavigationBtnWidthAndHeight));
        make.height.equalTo(@(kNavigationBtnWidthAndHeight));
    }];
    [leftBtn.titleLabel setFont:kFont(14)];
    [leftBtn setImage:[UIImage imageNamed:@"bottom_back"] forState:UIControlStateNormal];
    [leftBtn setTitleColor:kColor(48, 48, 48) forState:UIControlStateNormal];
    [leftBtn addTarget:self action:@selector(leftBtnClicked:) forControlEvents:UIControlEventTouchUpInside];
    self.leftButton = leftBtn;
    
    //创建右侧按钮
    UIButton *rightBtn = [UIButton buttonWithType:UIButtonTypeCustom];
    [self.navigationView addSubview:rightBtn];
    [rightBtn mas_makeConstraints:^(MASConstraintMaker *make) {
        make.right.equalTo(self.navigationView).with.offset(-5);
        make.bottom.equalTo(self.navigationView);//.with.height.offset(20);
        make.width.equalTo(@(kNavigationBtnWidthAndHeight));
        make.height.equalTo(@(kNavigationBtnWidthAndHeight));
    }];
    [rightBtn.titleLabel setFont:kFont(14)];
    [rightBtn setTitleColor:kColor(48, 48, 48) forState:UIControlStateNormal];
    [rightBtn addTarget:self action:@selector(rightBtnClicked:) forControlEvents:UIControlEventTouchUpInside];
    self.rightButton = rightBtn;
}

//- (void)createLine {
//    UIView *lineView = [[UIView alloc] init];
//    [self.navigationView addSubview:lineView];
//    self.lineView = lineView;
//    [lineView mas_makeConstraints:^(MASConstraintMaker *make) {
//        make.left.bottom.right.equalTo(self.navigationView);
//        make.height.equalTo(@0.5);
//    }];
//    lineView.backgroundColor = kColor(213, 213, 213);
//}

- (void)configNavigationBar {
    //子类可以重写,方便配置导航栏
}

- (void)leftBtnClicked:(UIButton *)leftBtn {
    //左侧按钮点击事件
    if (self.navigationController) {
        [self.navigationController popViewControllerAnimated:YES];
    }
}

- (void)rightBtnClicked:(UIButton *)rightBtn {
    //右侧按钮点击事件
}

//- (void)createBottomNavigationBar {
//    UIView *bottomNavigationBar = [[UIView alloc] init];
//    [self.view addSubview:bottomNavigationBar];
//    self.bottomNavigationBar = bottomNavigationBar;
//    [bottomNavigationBar mas_makeConstraints:^(MASConstraintMaker *make) {
//        make.left.bottom.right.equalTo(self.view);
//        make.height.equalTo(@44);
//    }];
//    bottomNavigationBar.backgroundColor = [UIColor whiteColor];
//    bottomNavigationBar.hidden = YES;
//    
//    UIButton *bottomLeftBtn = [UIButton buttonWithType:UIButtonTypeCustom];
//    [bottomNavigationBar addSubview:bottomLeftBtn];
//    self.bottomLeftBtn = bottomLeftBtn;
//    [bottomLeftBtn mas_makeConstraints:^(MASConstraintMaker *make) {
//        make.top.left.bottom.equalTo(bottomNavigationBar);
//        make.width.equalTo(@50);
//    }];
//    [bottomLeftBtn addTarget:self action:@selector(bottomLeftBtnClick:) forControlEvents:UIControlEventTouchUpInside];
//    [bottomLeftBtn setImage:[UIImage imageNamed:@"bottom_back"] forState:UIControlStateNormal];
//    
////    UIView *bottomLineView = [[UIView alloc] init];
////    [bottomNavigationBar bottomLineView];
////    [bottomLineView mas_makeConstraints:^(MASConstraintMaker *make) {
////        make.left.top.right.equalTo(self.bottomNavigationBar);
////        make.height.equalTo(@0.5);
////    }];
////    bottomLineView = kColor(213, 213, 213);
//}

- (void)bottomLeftBtnClick:(UIButton *)btn {
    [self.navigationController popViewControllerAnimated:YES];
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 0;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    return [UITableViewCell new];
}

@end
